:root {
	--title-size: 2.5rem;
	--border-color: #eee;
	--field-height: 50px;
	--tn-brand-color-1: #52536E;
	--tn-brand-color-2: #C00000;
	
}

@media (prefers-color-scheme: dark) {
  :root {
	  
  }
}

button.is-primary {
	background-color: var(--tn-brand-color-1);
	color: #fff;
}
.align-bottom {
	display: flex;
    align-items: flex-end;
}
.mt-0 {
	margin-top: 0
}
.mt-xxs {
	margin-top: 0.1rem
}
.mt-xs {
	margin-top: 0.2rem
}
.mt-sm {
	margin-top: 0.4rem
}
.mt-md {
	margin-top: 0.75rem
}
.mt-lg {
	margin-top: 1.15rem
}
.mt-xl {
	margin-top: 2rem
}
.mt-xxl {
	margin-top: 2.65rem
}

.mb-0 {
	margin-bottom: 0
}
.mb-xxs {
	margin-bottom: 0.1rem
}
.mb-xs {
	margin-bottom: 0.2rem
}
.mb-sm {
	margin-bottom: 0.4rem
}
.mb-md {
	margin-bottom: 0.75rem
}
.mb-lg {
	margin-bottom: 1.15rem
}
.mb-xl {
	margin-bottom: 2rem
}

.mb-xxl {
	margin-bottom: 2.65rem
}

.is-paddingless-top {
	padding-top: 0;
}

.is-paddingless-bottom {
	padding-bottom: 0;
}

.is-paddingless-left {
	padding-left: 0;
}

.is-paddingless-right {
	padding-right: 0;
}

.w-100 {
	width: 100%;
}
.h-100 {
	height: 100%;
}

.is-underlined {
	text-decoration: underline;
}

pre {
	padding: 15px;
	margin-bottom: 1rem;
	background: #fafafa;
	max-height: 500px;
	overflow-y: scroll;
	display:inline-block;
	width: 100%;
	color: #444
}

h1 {
	font-size: var(--title-size);
	font-weight: 200;
	margin-bottom: 0.3em;
}

main {
	padding: 30px 0;
	min-height: 90vh;
}

a > i {
	font-size: 0.85em
}

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: var(--bulma-body-background-color);
}

::-webkit-scrollbar-thumb {
  background: var(--tn-brand-color-1);
}

::-webkit-scrollbar-thumb:hover {
  background: var(--bulma-link);
}
/* Loader */
.loader-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: var(--bulma-body-background-color);
  opacity: 0;
  z-index: -1;
  transition: opacity 0.3s;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 6px;
}
.loader-wrapper .loader {
  height: 80px;
  width: 80px;
}
.loader-wrapper.is-active {
  opacity: 0.8;
  z-index: 1;
}

.is-loading {
  position: relative;
}
 /* Select2 */
form .select2-container--default .select2-selection--single,
form .select2-container--default .select2-selection--single .select2-selection__rendered {
	height:  var(--field-height);
	background-color: transparent;
}
form .select2-container--default .select2-selection--single{
	border-radius: var(--bulma-radius-medium);
}

form .select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: var(--field-height);
	color: var(--bulma-body-color);
}

form .select2-container--default .select2-selection--single .select2-selection__arrow {
	height: var(--field-height);
	opacity: 0;
}

.select2-dropdown,
.select2-dropdown .select2-search.select2-search--dropdown,
.select2-dropdown .select2-results,
.select2-container--default .select2-search--dropdown .select2-search__field {
	background-color: var(--bulma-body-background-color);
	color: var(--bulma-body-color);
}

.select2-results__options li {
	color: var(--bulma-body-color);
}
.select2-dropdown .select2-results__option.select2-results__option--selectable.select2-results__option--highlighted {
	background-color: var(--bulma-link);
}
.select2-dropdown .select2-results__option.select2-results__option--selectable.select2-results__option--selected {
	color: var(--bulma-body-background-color);
	background-color: var(--bulma-body-color);
}

/* CK Editor */
.ck-powered-by {
	opacity: 0;
	display:none!important;
}
.has-rich-text .ck.ck-sticky-panel__content {
	border: 0;
}
.has-rich-text .ck.ck-toolbar,
.has-rich-text .ck.ck-editor__main>.ck-editor__editable {
	background-color: transparent;
	border-color: var(--bulma-border);
	border-radius: 10px;
}
.has-rich-text .ck.ck-editor__main>.ck-editor__editable:focus,
.has-rich-text .ck.ck-editor__main>.ck-editor__editable.ck-blurred {
	border-color: var(--bulma-border-hover);
}
.has-rich-tex .ck.ck-icon.ck-icon_inherit-color, 
.has-rich-text .ck.ck-icon.ck-icon_inherit-color *,
 .has-rich-text .ck-button__icon path {
	 fill:  var(--bulma-body-color);
 }
.has-rich-text  .ck.ck-icon.ck-icon_inherit-color, 
.has-rich-text .ck.ck-icon.ck-icon_inherit-color *,
.has-rich-text .ck.ck-button_with-text.ck-dropdown__button .ck.ck-button__label,
.has-rich-text .ck.ck-button__label {
	color: var(--bulma-body-color);
}
.has-rich-text .ck-toolbar__separator {
	background-color: var(--bulma-border);
}

.has-rich-text .ck-content.ck-editor__editable h1 {
	font-size: var(--bulma-size-3);
	font-weight: bold;
}
.has-rich-text .ck-content.ck-editor__editable h2 {
	font-size: var(--bulma-size-3);
}
.has-rich-text .ck-content.ck-editor__editable h3 {
	font-size: var(--bulma-size-4);
}
.has-rich-text .ck-content.ck-editor__editable h4 {
	font-size: var(--bulma-size-5);
}
.has-rich-text .ck-content.ck-editor__editable h5 {
	font-size: var(--bulma-size-6);
}

.has-rich-text .ck-content.ck-editor__editable ul {
	padding-left: 2em;
	list-style: disc;
}
.has-rich-text .ck-content.ck-editor__editable ul li {
	list-style: disc;
}
.has-rich-text .ck-content.ck-editor__editable ol {
	list-style: decimal;
	padding-left: 2em;
}
.has-rich-text .ck-content.ck-editor__editable ol li {
	list-style: disc;
}


header > .container {
	border-bottom: 1px solid var(--border-color);
}

header .column.logo-column {
	padding: 0;
}

footer > .container {
	border-top: 1px solid var(--border-color);
}

/* Theme toggle */
.theme-toggle > span {
	cursor: pointer;
  padding: 5px;
}
.theme-toggle > span:hover,
.theme-toggle > span.active {
	color: var(--bulma-link);
}
/* Login */
.login-box {
	width: 600px;
	max-width: 100%;
	margin: auto;
}
.login-box .icon.toggle-input-view {
	pointer-events: initial;
	cursor:pointer;
}
 
/** Accounts / Subscriptions **/
.content-item h2 a:not(:hover) {
	color:  var(--bulma-body-color);
}
.content-item h2 a {
	margin-right: 15px;
}

.dot--roi {
	 	 font-size: 10px;
}

.item-actions a {
	margin-left: 1em;
}
/** Single Account / Sub**/

article .assets.panel .panel-block  h1, 
article .description  h1 {
	font-size: var(--bulma-size-3);
	font-weight: bold;
}
article .assets.panel .panel-block h2,
article .description h2 {
	font-size: var(--bulma-size-3);
}
article .assets.panel .panel-block h3,
article .description h3 {
	font-size: var(--bulma-size-4);
}
article .assets.panel .panel-block h4,
article .description h4 {
	font-size: var(--bulma-size-5);
}
article .assets.panel .panel-block h5,
article .description h5 {
	font-size: var(--bulma-size-6);
}

article .assets.panel .panel-heading {
	background-color: var(--bulma-body-background-color);
	padding: 16px;
}

article .assets.panel .panel-block ul {
	padding-left: 2em;
	list-style: disc;
}
article .assets.panel .panel-block ul li {
	list-style: disc;
}
article .assets.panel .panel-block ol {
	list-style: decimal;
	padding-left: 2em;
}
article .assets.panel .panel-block ol li {
	list-style: disc;
}

/** Edit Accont **/
article .files-form {
	position: relative;
}
article .files-form [data-repeater-item]:not(.new-item) .form-group--file {
	display:none!important;
}

article .files-form .form-group--buttons button {
	margin-right: 10px;
}
article .files-form.updating {
	opacity: 0.5;
}
article .files-form [data-repeater-item]:not(.new-item) .img-container {
	height: 100%;
    align-items: center;
    display: flex;
    justify-content: center;
    border: 1px solid rgba(0, 0, 0, 0.0275);
    border-radius: 10px;
    background: rgba(0, 0, 0, 0.025);
}

/*** Resources ***/
.resource-item .card {
    display:flex;
    flex-direction: column;
	height: 100%;
}
.resource-item .card-content {
	flex: auto;
	padding: 14px 24px;
}
.resource-item .card-content .content {
	font-size: 0.9rem;
}
.resource-item .card-footer {
    margin-top: auto;
}

/** Single User */
.toggl-status i {
	margin-right: 0.35em;
}
